
#define PI 3.14159265358979323846  /* Assume not near black hole nor in
				      Tennessee */

typedef struct
	{
	time_t			timeIn;
	long			distance;
	double			jul_fm;
	double			jul_lnm;
	double			jul_nnm;
	} ringgg_values;


extern char moname[12][30];

void ringgg ( time_t inTime, ringgg_values *rv, int draw);
double phase ( double pdate, double *pphase, double *mage, double *dist, double *angdia, double *sudist, double *suangdia);
time_t julian2unix ( double jd, struct tm *ts);